import java.util.*;

public class Sample {
  public static void main(String[] args) {
    var numbers = List.of(10, 20, 31, 40, 51, 60, 70, 90);

    numbers.stream()
      .filter(number -> number > 50)
      .skip(2)
      .limit(1)
      .forEach(System.out::println);

    numbers.stream()
      .filter(number -> number > 50)
      .dropWhile(number -> number < 60)
      .takeWhile(number -> number <= 70)
      .forEach(System.out::println);
  }
}

//limit and skip take a number as its parameter

//What if we want to limit or skip based on some logic instead of a number

//dropWhile and takeWhile take predicates

//takeWhile is the functional programming equivalent of the imperative style
//break



